CDCIDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface CDCIDescriptor

- All Superinterfaces:
    AAFFileDescriptor, CDCIDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject, PictureDescriptor

      public interface CDCIDescriptor
      extends CDCIDescriptor, PictureDescriptor

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.model.CDCIDescriptor

      `ALPHASAMPLEDEPTH_DEFAULT, BLACKREFLEVEL_DEFAULT, COLORSITING_DEFAULT, PADDINGBITS_DEFAULT, REVERSEDBYTEORDER_DEFAULT, VERTICALSUBSAMPLING_DEFAULT`

    - ### Fields inherited from interface tv.amwa.maj.model.PictureDescriptor

      `ALPHATRANSPARENCY_DEFAULT, DISPLAYF2OFFSET_DEFAULT, IMAGEALIGNMENTFACTOR_DEFAULT, IMAGEENDOFFSET_DEFAULT, IMAGESTARTOFFSET_DEFAULT, STOREDF2OFFSET_DEFAULT, Uncompressed`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getOffsetToFrameIndexes64()`
    `void` | `setOffsetToFrameIndexes64(Long offsetToFrameIndexes64)`

    - ### Methods inherited from interface tv.amwa.maj.model.CDCIDescriptor

      `clone, getAlphaSampleDepth, getBlackRefLevel, getColorRange, getColorSiting, getComponentDepth, getHorizontalSubsampling, getPaddingBits, getReversedByteOrder, getVerticalSubsampling, getWhiteRefLevel, setAlphaSampleDepth, setBlackRefLevel, setColorRange, setColorSiting, setComponentDepth, setHorizontalSubsampling, setPaddingBits, setReversedByteOrder, setVerticalSubsampling, setWhiteRefLevel`

    - ### Methods inherited from interface tv.amwa.maj.extensions.avid.PictureDescriptor

      `getDataOffset, getFrameIndexByteOrder, getFrameSampleSize, getImageSize, getResolutionID, setDataOffset, setFrameIndexByteOrder, setFrameSampleSize, setImageSize, setResolutionID`

    - ### Methods inherited from interface tv.amwa.maj.model.PictureDescriptor

      `areDisplayValuesPresent, areSampledValuesPresent, getActiveFormatDescriptor, getAlphaTransparency, getCodingEquations, getColorPrimaries, getDisplayF2Offset, getDisplayHeight, getDisplayView, getDisplayWidth, getDisplayXOffset, getDisplayYOffset, getFieldDominance, getFrameLayout, getImageAlignmentFactor, getImageAspectRatio, getImageEndOffset, getImageStartOffset, getPictureCompression, getSampledHeight, getSampledView, getSampledWidth, getSampledXOffset, getSampledYOffset, getSignalStandard, getStoredF2Offset, getStoredHeight, getStoredView, getStoredWidth, getTransferCharacteristic, getVideoLineMap, getVideoLineMapSize, setActiveFormatDescriptor, setAlphaTransparency, setCodingEquations, setColorPrimaries, setDisplayF2Offset, setDisplayView, setFieldDominance, setFrameLayout, setImageAlignmentFactor, setImageAspectRatio, setImageEndOffset, setImageStartOffset, setPictureCompression, setSampledView, setSignalStandard, setStoredF2Offset, setStoredView, setTransferCharacteristic, setVideoLineMap`

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getOffsetToFrameIndexes64

          @Int64
          long getOffsetToFrameIndexes64()
                                         throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setOffsetToFrameIndexes64

          void setOffsetToFrameIndexes64(@Int64
                                         Long offsetToFrameIndexes64)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.